Bug 1185977 - [api] remove cached package file only after transaction()
Summary: [api] remove cached package file only after transaction()
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 991014
TreeView+ depends on / blocked
 
Reported: 2015-01-26 18:20 UTC by Igor Gnatenko
Modified: 2015-05-08 07:33 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-0.1.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-06 18:48:51 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1157233 None None None Never

Description Igor Gnatenko 2015-01-26 18:20:37 UTC
Users in Bug 991014 wants to keep downloaded packages in special directory which not handled by dnf itself. But from plugin at transaction() moment we're already deleted all downloaded RPMs.

Comment 1 Honza Silhan 2015-01-29 11:38:10 UTC
Hi Igor, we can do that. Delete all packages when DNF finishes and/or add to DemandSheet attribute delete_packages=False.

Comment 2 Igor Gnatenko 2015-01-29 15:58:23 UTC
(In reply to Jan Silhan from comment #1)
> Hi Igor, we can do that. Delete all packages when DNF finishes and/or add to
> DemandSheet attribute delete_packages=False.
as we discussed in IRC - it's best solution for me.

But when we're talking about delete_packages=False I hope you talkint about delete packages *AFTER* transaction() in plugin, not just disabling deleting packages.

Comment 3 Jaroslav Reznik 2015-03-03 16:46:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Honza Silhan 2015-03-04 14:02:40 UTC
Michael, move the deletion of packages to happen after transaction() plugin hook call, please.

Comment 5 Michal Luscon 2015-03-09 16:46:33 UTC
Implemented in https://github.com/rpm-software-management/dnf/pull/237

Comment 6 Fedora Update System 2015-03-31 18:17:45 UTC
hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 7 Fedora Update System 2015-04-02 01:44:03 UTC
Package hawkey-0.5.4-1.fc22, dnf-0.6.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.4-1.fc22 dnf-0.6.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5337/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-04-03 11:39:06 UTC
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 9 Fedora Update System 2015-04-06 18:48:51 UTC
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-16 09:05:29 UTC
dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21

Comment 11 Fedora Update System 2015-05-08 07:33:38 UTC
dnf-plugins-core-0.1.5-2.fc21, dnf-0.6.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.